
import { ShareCodeGenerator } from "../sharecode/sharecodegenerator";
import { ShareCodeValidator } from "../sharecode/sharecodevalidator";
import { Form } from "antd";
import { TusUploader } from "@web/src/components/common/uploader/TusUploader";
import CodeRecord from "../sharecode/components/CodeRecord";
import Header from "./components/header";
import { useState } from "react";
import { MainFooter } from "../../main/layout/MainFooter";
export default function QuickUploadPage() {
    const [form] = Form.useForm();
    const uploadFileId = Form.useWatch(["file"], form)?.[0]
    const [fileMsg, setFileMsg] = useState<File|null>(null)
    return (
        <div className="w-full min-h-screen bg-gray-50">
            <Header />
            <div className="max-w-[1000px] mx-auto px-4 py-6">
                <div className="my-1 p-6 bg-white border border-gray-100 rounded-xl shadow-md hover:shadow-lg transition-shadow duration-300">
                    <div className="flex flex-col sm:flex-row justify-between items-start sm:items-center gap-3 mb-5 pb-4 border-b border-gray-100">
                        <span className="text-xl font-medium text-gray-800">使用分享码下载文件</span>
                        <CodeRecord title="我使用的分享码" btnContent="使用记录" recordName="shareCodeDownloadRecords" />
                    </div>
                    <div className="bg-gray-50 bg-opacity-70 rounded-lg p-4">
                        <ShareCodeValidator />
                    </div>
                </div>

                <div className="my-6 p-6 bg-white border border-gray-100 rounded-xl shadow-md hover:shadow-lg transition-shadow duration-300">
                    <div className="flex flex-col sm:flex-row justify-between items-start sm:items-center gap-3 mb-5 pb-4 border-b border-gray-100">
                        <span className="text-xl font-medium text-gray-800">上传文件并生成分享码</span>
                        <CodeRecord title="我生成的分享码" btnContent="上传记录" recordName="shareCodeGeneratorRecords" />
                    </div>
                    <div className="mb-8">
                        <ShareCodeGenerator fileId={uploadFileId} fileMsg={fileMsg} />
                    </div>
                    <div className="mt-4">
                        <Form form={form}>
                            <Form.Item name="file">
                                <TusUploader
                                    multiple={false}
                                    style="w-full py-8 px-4 mb-0 h-72 border-2 border-dashed border-gray-200 hover:border-blue-400 bg-gray-50 bg-opacity-50 rounded-lg transition-colors"
                                    getFileMsg={(file) => {
                                        setFileMsg(file)
                                    }}
                                />
                            </Form.Item>
                        </Form>
                    </div>
                </div>
            </div>
            <MainFooter />
        </div>
    )

}